probe::nfs.fop.read_iter
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.fop.read_iter — NFS client read_iter file operation

## Synopsis

    nfs.fop.read_iter

## Values

`ino`

  inode number

`parent_name`

  parent dir name

`cache_valid`

  cache related bit mask flag

`dev`

  device identifier

`file_name`

  file name

`count`

  read bytes

`attrtimeo`

  how long the cached information is assumed to be valid. We need to revalidate the cached attrs for this inode if jiffies - read_cache_jiffies > attrtimeo.

`pos`

  current position of file

`cache_time`

  when we started read-caching this inode

Prev | Up | Next
probe::nfs.fop.read | Home | probe::nfs.fop.release